/**
 * 处理输入值，使其只包含数字和最多一个小数点，并且小数点后最多保留两位
 * @param {string} value - 输入的值
 * @returns {string} - 处理后的值
 */

//小数点后两位处理
export const handleInputPublicHasPoint = (value) => {
  // 过滤掉非数字和小数点的字符
  const filteredValue = value.replace(/[^0-9.]/g, '');
  // 限制只能有一个小数点
  const singleDotValue = filteredValue.replace(/(\..*)\./g, '$1');

  let finalValue = '';
  const dotIndex = singleDotValue.indexOf('.');
  if (dotIndex !== -1) {
    // 截取小数点后最多两位
    finalValue = singleDotValue.slice(0, dotIndex + 3);
  } else {
    finalValue = singleDotValue;
  }
  return finalValue;
};
//整数
export const handleInputPublic = (value) => {
  // 只能输入数字
  return value.replace(/[^0-9]/g, '');
};
